Subject: bug#44903: closed (Re: bug#44903: Guix 1.2.0 installer 'auto-partition!' crash)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 10 Oct 2022 03:10:02 +0000

Your bug report

#44903: Guix 1.2.0 installer 'auto-partition!' crash

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44903: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=44903
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#44903: Guix 1.2.0 installer 'auto-partition!' crash
From: Maxim Cournoyer <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: Gavaskar Kanagaraj <[email-masked]>, Mathieu Othacehe <[email-masked]>, Umut Durak <[email-masked]>, [email-masked]
Date: Sun, 09 Oct 2022 23:09:45 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Josselin Poiret <[email-masked]> writes:

> Hi Maxim,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Mathieu, do you think this bug can still exist in 1.3.0 or our current
>> snapshot installer images?  If not, we should close it, as it's gone
>> stale and reported against 1.2.0.
>
> Just my 2 cents: I think this issue was fixed with
> 0a74509a696671580c8a7dc768d26f414748bab5.  Sometimes, devices are so
> small you can't even create a new partition table on them, and we used
> to not detect this failure and instead return #f for the disk.  That or
> ped_disk_new fails for some reason but I wouldn't know why without more
> info.

Thanks for the heads-up.  I'm tentatively closing the bug.

-- 
Thanks,
Maxim

Subject: quix installation bugs
From: Gavaskar Kanagaraj <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: Umut Durak <[email-masked]>
Date: Fri, 27 Nov 2020 10:57:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

hello,

I found bugs,

Installation options using iso: Does not boot using dual boot or standalone boot. stucks with automatic reboot. I tried in 3 different computers using 2 different pendrives.

installation options using vmware:

The installer has encountered an unexpected problem. The backtrace is displayed
below.

In ./gnu/installer/newt/partition.scm
766:33 19 (run-partitioning-page

In ./gnu/installer/parted.scm
894:17 18 (auto-partition! #f #:scheme _)

In parted/structs.scm:
639:23 17 (disk-device #f)

In ice-9/boot-9.scm:

1669:16 16 (raise-exception _ #:continuable?

1667:16 15 (raise-exception continuable?

1667:16 14 (raise-exception _ #:continuable?

1667:16 13 (raise-exception _ #:continuable?

1667:16 12 (raise-exception continuable?

1667:16 11 (raise-exception continuable?

1667:16 10 (raise-exception _ #:continuable?

1667:16 9 (raise-exception _ #:continuable?

1667:16 8 (raise-exception _ #:continuable?

1667:16 7 (raise-exception _ #:continuable? _

1764:13 6 (_ #<&compound-exception components: (#<&assertion-failure> #<6origin
origin: "struct-vtable"> #<&message message: "Wrong type argument in position 1
(expecting struct): ~S"> #<@irrit.>
In ice-9/eval.scm:

619:8 5 (_ #(#(#<directory (guile-user) 7fce091d9f00> #<<installer> name
newt init: #<procedure init ()> exit: #<procedure exit ()> exit-error: #<procedure
exit-error (file key args)> f..>) .))

619:8 4 (_ #(#(#(#<directory (guile-user) 7fce091d9f00> #<<installer> name
newt init: #<procedure init ()> exit: #<procedure exit ()> exit-error: #<procedure
exit-error (file key arg..>) ..) #))

In ice-9/ports.scm:

installation using binary, only binary installation over Linux works, but guix pull does work and also could not able to re configure and not able to proceed further for writing scripts.

thanks,

regards,
Gavaskar kanagaraj